[build IntelliJ IDEA Community Edition FAILED] nincompatible types: inferred type does not conform to upper bound

Answered
/Users/yuankui/git/intellij-community-idea-162.2106/platform/platform-api/src/com/intellij/openapi/actionSystem/ex/ActionUtil.java:219
incompatible types:inferred type does not conform to upper bound(s)
inferred: java.util.List<? extends java.lang.Object>
upper bound(s): java.util.List<com.intellij.openapi.actionSystem.AnAction>,java.lang.Object

the /ActionUtil.java:219 content is below

ObjectUtils.notNull(UIUtil.getClientProperty(component, AnAction.ACTIONS_KEY), Collections.emptyList());

I have tried JDK8,JDK7, I followed the steps of the doc http://www.jetbrains.org/intellij/sdk/docs/basics/checkout_and_build_community.html?search=inferred%20type%20does%20not%20conform%20to%20upper%20bounds

Bug still failed.

any body have an idea?



1 comment
Comment actions Permalink

okey, I solved this problem by upgrading JDK from 1.8.0_25 to 1.8.0_102

1

Please sign in to leave a comment.